GET /v1/sessions/{session_id}/databases
GET
/v1/sessions/{session_id}/databases
const url = 'https://app.everruns.com/api/v1/sessions/example/databases';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.everruns.com/api/v1/sessions/example/databasesParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” session_id
required
string
Session ID
Responses
Section titled “ Responses ”List of databases
Media type application/json
Response wrapper for list endpoints.
All list endpoints return responses wrapped in a data field.
object
data
required
Array of items returned by the list operation.
Array<object>
Database info response.
object
created_at
required
Timestamp when this resource was created (RFC 3339).
string
name
required
Human-readable name. Safe to render in user-facing messages.
string
page_count
required
integer format: int32
size_bytes
required
integer format: int64
updated_at
required
Timestamp when this resource was last updated (RFC 3339).
string
Example generated
{ "data": [ { "created_at": "example", "name": "example", "page_count": 1, "size_bytes": 1, "updated_at": "example" } ]}Invalid session ID